# Uses of Class
org.eclipse.ecf.provider.zookeeper.core.ZooDiscoveryNamespace

Packages that use ZooDiscoveryNamespace
Package
Description
org.eclipse.ecf.provider.zookeeper.core

## Uses of ZooDiscoveryNamespace in org.eclipse.ecf.provider.zookeeper.core

Constructors in org.eclipse.ecf.provider.zookeeper.core with parameters of type ZooDiscoveryNamespace
Modifier
Constructor
Description
``
`ZooDiscoveryServiceTypeID(ZooDiscoveryNamespace discoveryNamespace, IServiceTypeID typeId)`
``
`ZooDiscoveryServiceTypeID(ZooDiscoveryNamespace discoveryNamespace, IServiceTypeID typeId, String internal)`
``
`ZooDiscoveryTargetID(ZooDiscoveryNamespace zkDiscoveryNamespace, String[] parameters)`